Subject: [alpine-aports] [PATCH] main/talloc: upgrade to 2.1.9

From: Valery Kartel <[email-masked]>
Date: Fri, 10 Mar 2017 16:48:33 +0200

---
 main/talloc/APKBUILD | 27 ++++++---------------------
 1 file changed, 6 insertions(+), 21 deletions(-)

diff --git a/main/talloc/APKBUILD b/main/talloc/APKBUILD
index 889da45c90..97ebe67494 100644
--- a/main/talloc/APKBUILD
+++ b/main/talloc/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: William Pitcock <[email-masked]>
 # Maintainer: William Pitcock <[email-masked]>
 pkgname=talloc
-pkgver=2.1.8
+pkgver=2.1.9
 pkgrel=0
 pkgdesc="A memory pool management library"
 url="http://talloc.samba.org/"
@@ -13,23 +13,13 @@ replaces="samba-common"
 makedepends="$depends_dev python2-dev libxslt docbook-xsl"
 install=""
 subpackages="$pkgname-dev py-$pkgname:_py $pkgname-doc"
-source="http://samba.org/ftp/${pkgname}/${pkgname}-${pkgver}.tar.gz
+source="http://samba.org/ftp/$pkgname/$pkgname-$pkgver.tar.gz
 	always-libs.patch
 	"
-
-_builddir="${srcdir}/${pkgname}-${pkgver}"
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -48,8 +38,7 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
 }
 
 _py() {
@@ -60,9 +49,5 @@ _py() {
 		"$pkgdir"/usr/lib/python* "$subpkgdir"/usr/lib/
 }
 
-md5sums="6fb70af4174330e4cc139ea63b07c9e9  talloc-2.1.8.tar.gz
-10304afbc3b00346238bf5a969227c68  always-libs.patch"
-sha256sums="22d14911164d4de67ff76b5269fa5250d01f78c955bc77e28615350996877130  talloc-2.1.8.tar.gz
-a0b3778ed751f9acb7a7e3cdd13d4f38762f497b35ce761359cc48d366f43318  always-libs.patch"
-sha512sums="8e905c369c74387de21e8d3126cda322a4df2bdb056d3a404de20587e009f63eb16ac673976b43dd399838609aabfea49c38f628adebed19ae7362ed4f0cd121  talloc-2.1.8.tar.gz
+sha512sums="a8f051bb15aba769ca286acad0946605d0053b0d149b4da2e6ecc333345f3e603d13a7f062452ae0f165615a4170ebdd7f41fc1b46c7a360000d5308bc304cbb  talloc-2.1.9.tar.gz
 dc7ce3fa5152c2e796b184bf2f7937f3424b9f1fece580195364d416ede47e655c04f1fa3ce33cd2a27d0764039ddbaec8d72c4bf3e96f6eac2c09743bed4b8c  always-libs.patch"
-- 
2.11.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---